View Issue Details

IDProjectCategoryView StatusLast Update
0018164LazarusLCLpublic2012-04-10 13:42
ReporterKim Pedersen Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Target Version1.2.0 
Summary0018164: TEdit selection
DescriptionSelected text in a TEdit remains selected if you tab/click into another TEdit which is empty (see picture).
Additional InformationHere is how to reproduce:

1) Put 3 TEdits on a form
2) Run the app
3) Clear text in Edit2
4) Tab through the edit controls
5) When you go from Edit1 to Edit2, the text stays selected in Edit1 because Edit2 is empty.
TagsNo tags attached.
Fixed in Revision36097
LazTarget1.2
WidgetsetGTK 2
Attached Files

Relationships

related to 0023182 closedZeljan Rikalo TEdit component loses cursor position 
related to 0021897 closedZeljan Rikalo GTK2 TEdit Selstart is always 0 when Focus changes to the TEdit. 
related to 0023219 closedZeljan Rikalo TEdit component loses SelStart and SelLength values 

Activities

2010-12-08 11:25

 

edit_selection.png (4,926 bytes)   
edit_selection.png (4,926 bytes)   

Zeljan Rikalo

2012-02-17 17:36

developer   ~0056892

This is normal gtk2 behaviour afaik, so issue is invalid.

Zeljan Rikalo

2012-03-16 22:16

developer   ~0057742

Please test and close if ok. I've added sel bounds invalidation when TEdit loose it's focus (+TSpinEdit+TFloatSpinEdit).

Issue History

Date Modified Username Field Change
2010-12-08 11:25 Kim Pedersen New Issue
2010-12-08 11:25 Kim Pedersen File Added: edit_selection.png
2010-12-08 11:25 Kim Pedersen Widgetset => GTK 2
2010-12-08 12:07 Vincent Snijders LazTarget => 1.2
2010-12-08 12:07 Vincent Snijders Status new => acknowledged
2010-12-08 12:07 Vincent Snijders Target Version => 1.2.0
2012-02-17 17:36 Zeljan Rikalo Note Added: 0056892
2012-03-16 22:16 Zeljan Rikalo Fixed in Revision => 36097
2012-03-16 22:16 Zeljan Rikalo Status acknowledged => resolved
2012-03-16 22:16 Zeljan Rikalo Resolution open => fixed
2012-03-16 22:16 Zeljan Rikalo Assigned To => Zeljan Rikalo
2012-03-16 22:16 Zeljan Rikalo Note Added: 0057742
2012-04-10 13:42 Kim Pedersen Status resolved => closed
2012-10-25 07:48 Zeljan Rikalo Relationship added related to 0023182
2012-10-25 07:50 Zeljan Rikalo Relationship added related to 0021897
2012-10-30 23:51 Juha Manninen Relationship added related to 0023219